<?php
include_once('../global.php');
include_once('include.php');

class FinanceOverview extends Page
{
  var $FullTitle = 'Přehled financování sítě';
  var $ShortTitle = 'Přehled financí';

  function Show()
  {
    global $Config, $RealMaxSpeed, $Internet, $InternetUsers, $kWh, $TotalInternetPaid, $SpravaUsers, $Sprava, $UserIdNetwork;

    $Output = '<table><tr><td valign="top">';

    if(GetMemberByIP(GetRemoteAddress()) > 0) $Output .= '<a href="user_state_ip.php">Vaše finanční operace</a> (Tato volba je také přístupná po přihlášení do systému v uživatelském menu).<br /><br /><br />';
	
    $Output .= '<a href="monthly_overall.php">Měsíční přehledy</a><br />';
    $Output .= '<a href="tarify.php">Tarify</a><br />';
    $Output .= '<a href="zarizeni.php">Výpis zařízení</a><br />';
    if($this->System->Modules['User']->CheckPermission('Finance', 'SubjectList')) $Output .= '<a href="clenove.php">Seznam členů</a><br />';
    $Output .= '<a href="spotreba.php">Spotřeba energie</a><br />';
    $Output .= '<a href="'.$Config['Web']['RootFolder'].'/aktuality/index.php?category=9">Investice v síti</a><br />';
    //$Output .= '<a href="faktury/">Faktury za internet</a><br />';
    //$Output .= '<a href="inventory.php">Výpis skladových zásob</a><br />';
    
    $Output .= '<br /><strong>Souhrn:</strong><br />';

    $DbResult = $this->Database->query("SELECT * FROM finance_monthly_overall ORDER BY date DESC LIMIT 0,1");
    $Row = $DbResult->fetch_array();
    $Output .= 'Platba za internetovou linku ('.$RealMaxSpeed.'/'.$RealMaxSpeed.' kbit/s): <strong>'.$Internet.' Kč</strong><br />';

    $DbResult = $this->Database->query("SELECT COUNT(*) FROM users WHERE role=2");
    $Row2 = $DbResult->fetch_array();
    $Output .= 'Počet účastníků: <strong>'.$Row2[0].'</strong><br />';

    $DbResult = $this->Database->query("SELECT SUM(price) FROM network_devices WHERE used=1");
    $Row4 = $DbResult->fetch_array();
    $Output .= 'Celková cena zařízení sítě: <strong>'.$Row4[0].' Kč</strong><br />';

    $DbResult = $this->Database->query('SELECT SUM((SELECT COALESCE(SUM(Value), 0) FROM FinanceCashFlow WHERE Subject=users.id) + (SELECT COALESCE(SUM(-Value), 0) FROM FinanceClaimsLiabilities WHERE Subject=users.id)) as Cash FROM users WHERE role=2');
    $Row4 = $DbResult->fetch_array();
    $Output .= 'Celkem peněz na účtech: <strong>'.$Row4[0].' Kč</strong><br />';
    $Output .= 'Stanovená cena jedné kWh: <strong>'.$kWh.' Kč</strong><br />';
    //echo('Komunitou stanovený poplatek za správu sítě pro jednoho uživatele: <strong>'.$Sprava.' Kč</strong><br />');
    $DbResult = $this->Database->query("SELECT SUM(family) FROM users WHERE role=2");
    $Row5 = $DbResult->fetch_array();
    $TotalFamily = 600;
    $Output .= 'V připojených domácnostech celkem <strong>'.$Row5[0].'</strong> občanů ze všech <strong>'.$TotalFamily.'</strong> ('.round($Row5[0] / $TotalFamily * 100).' %)<br />';
    $Output .= 'IČ: <strong>75904535</strong><br />'.
    'DIČ: <strong>CZ8303255884</strong><br />'.
    'Bankovní účet: <strong>218098370 / 0300</strong><br />'.
    '<br />';

    $Output .= '</td><td valign="top">';

    $UsersPayment = $TotalInternetPaid;
    $NetworkManagement = $Sprava * $SpravaUsers;
    $TotalGain = 0;
    $TotalExpense = 0;
    $DbResult = $this->Database->query("SELECT SUM(consumption) FROM network_devices WHERE used=1");
    $Row = $DbResult->fetch_array();
    $TotalConsumption = W2Kc($Row[0]);

    $Output .= 'Měsíční vyúčtování:<br />
    <table border="1" cellspacing="0" cellpadding="3">
    <tr><th>Položka</th><th>Cena [Kč]</th></tr>
    <tr><th colspan="2">Příjmy</th></tr>';
    $Output .= '<tr><td>Poplatky účastníků za internet</td><td align="right">'.$UsersPayment.'</td></tr>';
    $TotalGain += $UsersPayment;
    $Output .= '<tr><td><strong>Celkem</strong></td><td align="right"><strong>'.$TotalGain.'</strong></td></tr>';
    $Output .= '<tr><th colspan="2">Výdaje</th></tr><tr><td>Internet</td><td align="right">'.$Internet.'</td></tr>';
    $TotalExpense += $Internet;
    $Output .= '<tr><td>Správa sítě</td><td align="right">'.$NetworkManagement.'</td></tr>';
    $TotalExpense += $NetworkManagement;
    $Output .= '<tr><td>Spotřeba energie</td><td align="right">'.$TotalConsumption.'</td></tr>';
    $TotalExpense += $TotalConsumption;
    $Output .= '<tr><td><strong>Celkem</strong></td><td align="right"><strong>'.$TotalExpense.'</strong></td></tr>';
    $Output .= '<tr><td colspan="2">&nbsp;</td></tr>';
    $Output .= '<tr><td><strong>Rozdíl</strong></td><td align="right"><strong>'.($TotalGain - $TotalExpense).'</strong></td></tr>';
    $Output .= '<tr><td>Převod do dalšího měsíce</td><td align="right">'.($TotalGain - $TotalExpense).'</td></tr>';
    $Output .= '</table><br />';
    $DbResult = $this->Database->select('users', 'cash', 'id='.$UserIdNetwork);
    $Row = $DbResult->fetch_array();
    $NetworkCash = $Row['cash'];
    $Output .= 'Stav účtu sítě: '.$NetworkCash.' Kč<br /><a href="clenove.php?show=user&amp;id='.$UserIdNetwork.'">Výpis účtu</a><br />';

    $Output .= '</td></tr></table>';

/*
echo('Poplatek je odečten z účtu vždy první den v měsíci. Peníze noste nejlépe předem.<br /><br />');
echo('<strong>Jak se rozpočítávají finance</strong><br />Internet i zařízení sítě se platí za domácnost. Systém výpočtu vychází z topologie sítě. Síť má stromovou topologii přičemž listy stromu jsou jednotliví uživatelé a kořen stromu je linka do internetu. Dosavadní systém je uzpůsoben tak, aby linky, které jsou nejvíce zatíženy, byly nejlépe zaplaceny a mohlo na nich tak být dražší a výkonější zařízení. Nejvytíženější linky se nazývají páteřní. Proto platí každý uživatel podílově zařízení, které vede od něj až ke kořenu stromu, což je v našem případě server Centrála s trvalým internetovým připojením. Pro jednoduchost je síť rozdělena na segmenty. Segment je část sítě, kterou využívá konstantní počet uživatelů. Každý segment je tvořen skupinou zařízení a má svoji celkovou cenu. Každý uživatel je přirozeně napojen na některý ze segmentů. Podíl klienta na zařízení sítě je vypočten jako součet podílů na jednotlivých segmentech směrem ke kořenu. Podíl na segmentu znamená celková cena segmentu podělená počtem uživatelů využívajících daný segment.<br />');
*/
    return($Output);
  }
}

$System->AddModule(new FinanceOverview());
$System->Modules['FinanceOverview']->GetOutput();

?>
