<?php
include_once('../global.php');
include_once('include.php');

class FinanceMonthlyOverallPage extends Page
{
  var $FullTitle = 'Měsíční přehledy';
  var $ShortTitle = 'Měsíční přehledy';

  function Show()
  {
    global $MonthNames;

    $Output = '<table cellspacing="0" cellpadding="2" border="1"><tr><th>Rok</th><th>Měsíc</th><th>Internet [Kč]</th><th>Účastníků</th><th>Správa [Kč/účastníka]</th><th>Správa [Kč]</th><th>Spotřeba [Kč/kWh]</th><th>Spotřeba [Kč]</th><th>Obrat [Kč]</th><th>Průměrná cena [Kč/účastníka]</th><th align="center">Investice [Kč]</th></tr>';
    $Total = array('money' => 0, 'administration_total' => 0, 'consumption_total' => 0, 'total_paid' => 0, 'investment' => 0);
    $DbResult = $this->Database->select('finance_monthly_overall', '*', '1 ORDER BY date DESC');
    while($Month = $DbResult->fetch_array())
    {
      $DateParts = explode('-', $Month['date']);
      $Output .= '<tr><td>'.$DateParts[0].'</td><td align="center">'.$MonthNames[$DateParts[1] * 1].'</td><td align="center">'.$Month['money'].'</td><td align="center">'.$Month['member_count'].'</td><td align="center">'.$Month['administration'].'</td><td align="center">'.$Month['administration_total'].'</td><td align="center">'.$Month['kWh'].'</td><td align="center">'.$Month['consumption_total'].'</td><td align="center">'.$Month['total_paid'].'</td><td align="center">'.round($Month['total_paid'] / $Month['member_count']).'</td><td align="center">'.$Month['investment'].'</td></tr>';

      $Total['money'] += $Month['money'];
      $Total['administration_total'] += $Month['administration_total'];
      $Total['consumption_total'] += $Month['consumption_total'];
      $Total['total_paid'] += $Month['total_paid'];
	  $Total['investment'] += $Month['investment'];
      //if($DateParts[1] == '01') echo('<tr><td style="font-size: 4;" colspan="10">&nbsp;</td></tr>');
    }
    $Output .= '<tr><th colspan="2">Celkem</th><th>'.$Total['money'].'</th><th>&nbsp;</th><th>&nbsp;</th><th>'.$Total['administration_total'].'</th><th>&nbsp;</th><th>'.$Total['consumption_total'].'</th><th>'.$Total['total_paid'].'</th><th>&nbsp;</th><th>'.$Total['investment'].'</th>';
    $Output .= '</table>';
    return($Output);
  }
}

$System->AddModule(new FinanceMonthlyOverallPage());
$System->Modules['FinanceMonthlyOverallPage']->GetOutput();

?>
